#ifndef _pyTransform_h_
#define _pyTransform_h_

#include "ygTransform.h"


class pyTransform : public ygTransform
	{
	public:
	 pyTransform(const char* name,bool master=true);
	 virtual ~pyTransform(void);
	 virtual void message(const ygMessage&);
	 virtual void app(void);
		 void loadScript(const ygString& file,const ygString& clName);
	 	 void callFunc(const ygMessage&);
	private:
		 void checkFile(void);
	 struct _pyTransformPrivateData * p_;
	 static void initializePythonYgTransform(void);
	};


#endif
